Name:           flameshot
Version:        12.1.0
Release:        %mkrel 2
Summary:        Powerful and simple to use screenshot software
# Main code: GPLv3
# Logo: Free Art License v1.3
# Button icons: Apache License 2.0
# capture/capturewidget.cpp and capture/capturewidget.h: GPLv2
# regiongrabber.cpp: LGPL
# Qt-Color-Widgets: LGPL/GPL
# More information: https://github.com/flameshot-org/flameshot#license
License:        GPLv3+ and ASL 2.0 and GPLv2 and LGPLv3 and Free Art
Group:          Graphics/Utilities
URL:            https://github.com/flameshot-org/flameshot
Source0:        https://github.com/flameshot-org/flameshot/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         flameshot-cmake-4.0.patch
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qtsingleapplication-qt5-devel

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gcc

%description
Powerful and simple to use screenshot software with built-in
editor with advanced features.

%prep
%autosetup -p1

# unbundle qtsingleapplication
rm -r external/singleapplication

%build
%cmake_qt5 -DUSE_EXTERNAL_SINGLEAPPLICATION:BOOL=ON

%cmake_build

%install
%cmake_install

%find_lang Internationalization --with-qt

%files -f Internationalization.lang
%doc README.md
%{_mandir}/man1/%{name}.1*
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_metainfodir}/org.%{name}.Flameshot.metainfo.xml
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/fish/vendor_completions.d/flameshot.fish
%{_datadir}/zsh/site-functions/_%{name}
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/services/*.service
%{_iconsdir}/hicolor/*/apps/*%{name}.*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations


%changelog
* Sat Jul 05 2025 daviddavid <daviddavid> 12.1.0-2.mga10
+ Revision: 2246779
- fix build with cmake 4.0
- update Url
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sun Sep 11 2022 neoclust <neoclust> 12.1.0-1.mga9
+ Revision: 1886968
- New version  12.1.0

* Tue Jun 07 2022 papoteur <papoteur> 11.0.0-1.mga9
+ Revision: 1863420
- new 11.0.0
  unbundle qtsingleapplication

* Wed Apr 06 2022 umeabot <umeabot> 0.9.0-2.mga9
+ Revision: 1845834
- Mageia 9 Mass Rebuild

* Sun Feb 28 2021 daviddavid <daviddavid> 0.9.0-1.mga9
+ Revision: 1694387
- new version: 0.9.0

* Wed Dec 16 2020 umeabot <umeabot> 0.8.5-2.mga8
+ Revision: 1658446
- Rebuild for new Qt5

* Mon Oct 19 2020 daviddavid <daviddavid> 0.8.5-1.mga8
+ Revision: 1636931
- new version: 0.8.5

* Mon Sep 28 2020 daviddavid <daviddavid> 0.8.3-1.mga8
+ Revision: 1630944
- new version: 0.8.3

* Thu Sep 24 2020 daviddavid <daviddavid> 0.8.1-1.mga8
+ Revision: 1629848
- new version: 0.8.1

* Tue Jul 21 2020 daviddavid <daviddavid> 0.6.0-2.mga8
+ Revision: 1607706
- add patch to fix build with Qt 5.15
- use system qtsingleapplication
- initial package flameshot (mga#25458)

